Subject: Re: [Netconf] [Gen-art] Genart last call review of draft-ietf-netconf-nmda-restconf-04

From: Alissa Cooper <[email-masked]>
Date: Wed, 26 Sep 2018 14:09:23 -0700

Russ, thanks for your review. I have flagged it in my No Objection ballot since the edits have not been applied yet.

Alissa

> On Jun 28, 2018, at 3:47 PM, Russ Housley <[email-masked]> wrote:
> 
> Reviewer: Russ Housley
> Review result: Ready with Nits
> 
> I am the assigned Gen-ART reviewer for this draft. The General Area
> Review Team (Gen-ART) reviews all IETF documents being processed
> by the IESG for the IETF Chair.  Please treat these comments just
> like any other last call comments.
> 
> For more information, please see the FAQ at
> <http://wiki.tools.ietf.org/area/gen/trac/wiki/GenArtfaq>.
> 
> Document: draft-ietf-netconf-nmda-restconf-04
> Reviewer: Russ Housley
> Review Date: 2018-06-28
> IETF LC End Date: 2018-07-09
> IESG Telechat date: unknown
> 
> Summary: Ready
> 
> 
> Major Concerns:
> 
> None.
> 
> 
> Minor Concerns:
> 
> The last paragraph of Section 3.1 says:
> 
>   If a server implements the example datastore "ds-ephemeral" in the
>   module "example-ds-ephemeral", it would implement the resource
>   {+restconf}/ds/example-ds-ephemeral:ds-ephemeral.
> 
> It is unclear to me why this datastore is not included in the bullets
> at the beginning of the section.  Obviously, it is optional to
> implement, but so are two of the datastores that are included in
> the list.
> 
> The last bullet of Section 3.2 says that [RFC8040], Section 3.5.4,
> paragraph 3 does not apply when interacting with any resource under
> {+restconf}/ds.  The referenced paragraph says:
> 
>   If the target of a GET method is a data node that represents a leaf
>   or leaf-list that has a default value and the leaf or leaf-list has
>   not been instantiated yet, the server MUST return the default value
>   or values that are in use by the server.  In this case, the server
>   MUST ignore its "basic-mode", described in Section 4.8.9, and return
>   the default value.
> 
> I suspect that this paragraph does not apply because the leaf and
> leaf-list will always be instantiated.  A sentence to say one way or
> the other would be useful to the implementer.
> 
> 
> Nits:
> 
> There is a missing ')' in the last paragraph of Section 5.
> 
> 
> 
> _______________________________________________
> Gen-art mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/gen-art